from google.protobuf.internal import containers as _containers
from google.protobuf.internal import enum_type_wrapper as _enum_type_wrapper
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class DataTypePbo(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
    __slots__ = ()
    BINARY: _ClassVar[DataTypePbo]
    JSON: _ClassVar[DataTypePbo]
    CSV: _ClassVar[DataTypePbo]
    TEXT: _ClassVar[DataTypePbo]
    IMAGE: _ClassVar[DataTypePbo]
BINARY: DataTypePbo
JSON: DataTypePbo
CSV: DataTypePbo
TEXT: DataTypePbo
IMAGE: DataTypePbo

class StepCsvHeaderRowPbo(_message.Message):
    __slots__ = ("cells",)
    CELLS_FIELD_NUMBER: _ClassVar[int]
    cells: _containers.RepeatedScalarFieldContainer[str]
    def __init__(self, cells: _Optional[_Iterable[str]] = ...) -> None: ...

class StepCsvRowPbo(_message.Message):
    __slots__ = ("cells",)
    CELLS_FIELD_NUMBER: _ClassVar[int]
    cells: _containers.RepeatedScalarFieldContainer[str]
    def __init__(self, cells: _Optional[_Iterable[str]] = ...) -> None: ...

class StepCsvContainerPbo(_message.Message):
    __slots__ = ("header", "items")
    HEADER_FIELD_NUMBER: _ClassVar[int]
    ITEMS_FIELD_NUMBER: _ClassVar[int]
    header: StepCsvHeaderRowPbo
    items: _containers.RepeatedCompositeFieldContainer[StepCsvRowPbo]
    def __init__(self, header: _Optional[_Union[StepCsvHeaderRowPbo, _Mapping]] = ..., items: _Optional[_Iterable[_Union[StepCsvRowPbo, _Mapping]]] = ...) -> None: ...

class StepJsonContainerPbo(_message.Message):
    __slots__ = ("items",)
    ITEMS_FIELD_NUMBER: _ClassVar[int]
    items: _containers.RepeatedScalarFieldContainer[str]
    def __init__(self, items: _Optional[_Iterable[str]] = ...) -> None: ...

class StepTextContainerPbo(_message.Message):
    __slots__ = ("items",)
    ITEMS_FIELD_NUMBER: _ClassVar[int]
    items: _containers.RepeatedScalarFieldContainer[str]
    def __init__(self, items: _Optional[_Iterable[str]] = ...) -> None: ...

class StepBinaryContainerPbo(_message.Message):
    __slots__ = ("items",)
    ITEMS_FIELD_NUMBER: _ClassVar[int]
    items: _containers.RepeatedScalarFieldContainer[bytes]
    def __init__(self, items: _Optional[_Iterable[bytes]] = ...) -> None: ...

class StepImageContainerPbo(_message.Message):
    __slots__ = ("image_format", "items")
    IMAGE_FORMAT_FIELD_NUMBER: _ClassVar[int]
    ITEMS_FIELD_NUMBER: _ClassVar[int]
    image_format: str
    items: _containers.RepeatedScalarFieldContainer[bytes]
    def __init__(self, image_format: _Optional[str] = ..., items: _Optional[_Iterable[bytes]] = ...) -> None: ...

class StepItemContainerPbo(_message.Message):
    __slots__ = ("dataType", "binary_container", "csv_container", "json_container", "text_container", "image_container")
    DATATYPE_FIELD_NUMBER: _ClassVar[int]
    BINARY_CONTAINER_FIELD_NUMBER: _ClassVar[int]
    CSV_CONTAINER_FIELD_NUMBER: _ClassVar[int]
    JSON_CONTAINER_FIELD_NUMBER: _ClassVar[int]
    TEXT_CONTAINER_FIELD_NUMBER: _ClassVar[int]
    IMAGE_CONTAINER_FIELD_NUMBER: _ClassVar[int]
    dataType: DataTypePbo
    binary_container: StepBinaryContainerPbo
    csv_container: StepCsvContainerPbo
    json_container: StepJsonContainerPbo
    text_container: StepTextContainerPbo
    image_container: StepImageContainerPbo
    def __init__(self, dataType: _Optional[_Union[DataTypePbo, str]] = ..., binary_container: _Optional[_Union[StepBinaryContainerPbo, _Mapping]] = ..., csv_container: _Optional[_Union[StepCsvContainerPbo, _Mapping]] = ..., json_container: _Optional[_Union[StepJsonContainerPbo, _Mapping]] = ..., text_container: _Optional[_Union[StepTextContainerPbo, _Mapping]] = ..., image_container: _Optional[_Union[StepImageContainerPbo, _Mapping]] = ...) -> None: ...

class StepInputBatchPbo(_message.Message):
    __slots__ = ("is_partial", "item_container")
    IS_PARTIAL_FIELD_NUMBER: _ClassVar[int]
    ITEM_CONTAINER_FIELD_NUMBER: _ClassVar[int]
    is_partial: bool
    item_container: StepItemContainerPbo
    def __init__(self, is_partial: bool = ..., item_container: _Optional[_Union[StepItemContainerPbo, _Mapping]] = ...) -> None: ...

class StepOutputBatchPbo(_message.Message):
    __slots__ = ("item_container",)
    ITEM_CONTAINER_FIELD_NUMBER: _ClassVar[int]
    item_container: StepItemContainerPbo
    def __init__(self, item_container: _Optional[_Union[StepItemContainerPbo, _Mapping]] = ...) -> None: ...
